#!/bin/sh
TARGET=/var/packages/WebStation/target

case $1 in
	--sdk-mod-ver)
		#print SDK support version
		echo 2.0;
		;;
	--name)
		#print package name
		echo "$(/bin/get_key_value /var/packages/WebStation/INFO package)";
		;;
	--pkg-ver)
		#print package version
		echo "$(/bin/get_key_value /var/packages/WebStation/INFO version)";
		;;
	--vendor)
		#printf package vendor
		echo "$(/bin/get_key_value /var/packages/WebStation/INFO maintainer)";
		;;
	--pre)
		;;
	--post)
		if [ "$SHARE_NAME" = web ] && [ -z "$ORIGIN_SHARE_NAME" ]; then
			if [ -s "$TARGET/sample/index.html" ] && [ ! -e "$SHARE_PATH/index.html" ]; then
				/bin/cp "$TARGET/sample/index.html" "$SHARE_PATH"
				/bin/chown http:http "$SHARE_PATH/index.html"

			fi
			if [ -d "$TARGET/sample/web_images" ] && [ ! -e "$SHARE_PATH/web_images" ]; then
				/bin/cp -r "$TARGET/sample/web_images" "$SHARE_PATH"
				/bin/chown -R http:http "$SHARE_PATH/web_images"
				/bin/chmod 711 "$SHARE_PATH/web_images"
			fi
		fi
		if [ -n "$ORIGIN_SHARE_PATH" ] && [ -n "$SHARE_PATH" ]; then
			/var/packages/WebStation/target/tools/synowebstation --change_host_path "$ORIGIN_SHARE_PATH" "$SHARE_PATH"
		fi
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac

