#!/bin/sh
TARGET=/var/packages/WebStation/target

case $1 in
	--sdk-mod-ver)
		#print SDK support version
		echo 2.0;
		;;
	--name)
		#print package name
		echo "$(/bin/get_key_value /var/packages/WebStation/INFO package)";
		;;
	--pkg-ver)
		#print package version
		echo "$(/bin/get_key_value /var/packages/WebStation/INFO version)";
		;;
	--vendor)
		#printf package vendor
		echo "$(/bin/get_key_value /var/packages/WebStation/INFO maintainer)";
		;;
	--pre)
		if [ "$SHARE_NAME" = homes ]; then
			"${TARGET}/tools/synowebstation" --status userdir
			if [ $? -eq 0 ]; then
				"${TARGET}/tools/synowebstation" --stop userdir
			fi
		fi
		;;
	--post)
		if [ "$SHARE_NAME" = homes ]; then
			"${TARGET}/tools/synowebstation" --status userdir
			if [ $? -eq 0 ]; then
				"${TARGET}/tools/synowebstation" --start userdir
			fi
		fi
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac

